0.9.9 API documenation: GLM_GTX_matrix_major_storage

| 0.9.9 API documenation

Functions
GLM_GTX_matrix_major_storage
Experimental extensions

## Functions
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 2, 2, T, Q > | colMajor2 (vec< 2, T, Q > const &v1, vec< 2, T, Q > const &v2)
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 2, 2, T, Q > | colMajor2 (mat< 2, 2, T, Q > const &m)
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 3, 3, T, Q > | colMajor3 (vec< 3, T, Q > const &v1, vec< 3, T, Q > const &v2, vec< 3, T, Q > const &v3)
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 3, 3, T, Q > | colMajor3 (mat< 3, 3, T, Q > const &m)
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 4, 4, T, Q > | colMajor4 (vec< 4, T, Q > const &v1, vec< 4, T, Q > const &v2, vec< 4, T, Q > const &v3, vec< 4, T, Q > const &v4)
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 4, 4, T, Q > | colMajor4 (mat< 4, 4, T, Q > const &m)
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 2, 2, T, Q > | rowMajor2 (vec< 2, T, Q > const &v1, vec< 2, T, Q > const &v2)
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 2, 2, T, Q > | rowMajor2 (mat< 2, 2, T, Q > const &m)
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 3, 3, T, Q > | rowMajor3 (vec< 3, T, Q > const &v1, vec< 3, T, Q > const &v2, vec< 3, T, Q > const &v3)
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 3, 3, T, Q > | rowMajor3 (mat< 3, 3, T, Q > const &m)
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 4, 4, T, Q > | rowMajor4 (vec< 4, T, Q > const &v1, vec< 4, T, Q > const &v2, vec< 4, T, Q > const &v3, vec< 4, T, Q > const &v4)
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 4, 4, T, Q > | rowMajor4 (mat< 4, 4, T, Q > const &m)

## Detailed Description

Include <glm/gtx/matrix_major_storage.hpp> to use the features of this extension.

Build matrices with specific matrix order, row or column

## Function Documentation

## ◆ colMajor2() [1/2]

GLM_FUNC_DECL mat<2, 2, T, Q> glm::colMajor2 | ( | vec< 2, T, Q > const & | v1,
|  | vec< 2, T, Q > const & | v2
| ) |  |

Build a column major matrix from column vectors.

From GLM_GTX_matrix_major_storage extension.

## ◆ colMajor2() [2/2]

GLM_FUNC_DECL mat<2, 2, T, Q> glm::colMajor2 | ( | mat< 2, 2, T, Q > const & | m | ) |

Build a column major matrix from other matrix.

From GLM_GTX_matrix_major_storage extension.

## ◆ colMajor3() [1/2]

GLM_FUNC_DECL mat<3, 3, T, Q> glm::colMajor3 | ( | vec< 3, T, Q > const & | v1,
|  | vec< 3, T, Q > const & | v2,
|  | vec< 3, T, Q > const & | v3
| ) |  |

Build a column major matrix from column vectors.

From GLM_GTX_matrix_major_storage extension.

## ◆ colMajor3() [2/2]

GLM_FUNC_DECL mat<3, 3, T, Q> glm::colMajor3 | ( | mat< 3, 3, T, Q > const & | m | ) |

Build a column major matrix from other matrix.

From GLM_GTX_matrix_major_storage extension.

## ◆ colMajor4() [1/2]

GLM_FUNC_DECL mat<4, 4, T, Q> glm::colMajor4 | ( | vec< 4, T, Q > const & | v1,
|  | vec< 4, T, Q > const & | v2,
|  | vec< 4, T, Q > const & | v3,
|  | vec< 4, T, Q > const & | v4
| ) |  |

Build a column major matrix from column vectors.

From GLM_GTX_matrix_major_storage extension.

## ◆ colMajor4() [2/2]

GLM_FUNC_DECL mat<4, 4, T, Q> glm::colMajor4 | ( | mat< 4, 4, T, Q > const & | m | ) |

Build a column major matrix from other matrix.

From GLM_GTX_matrix_major_storage extension.

## ◆ rowMajor2() [1/2]

GLM_FUNC_DECL mat<2, 2, T, Q> glm::rowMajor2 | ( | vec< 2, T, Q > const & | v1,
|  | vec< 2, T, Q > const & | v2
| ) |  |

Build a row major matrix from row vectors.

From GLM_GTX_matrix_major_storage extension.

## ◆ rowMajor2() [2/2]

GLM_FUNC_DECL mat<2, 2, T, Q> glm::rowMajor2 | ( | mat< 2, 2, T, Q > const & | m | ) |

Build a row major matrix from other matrix.

From GLM_GTX_matrix_major_storage extension.

## ◆ rowMajor3() [1/2]

GLM_FUNC_DECL mat<3, 3, T, Q> glm::rowMajor3 | ( | vec< 3, T, Q > const & | v1,
|  | vec< 3, T, Q > const & | v2,
|  | vec< 3, T, Q > const & | v3
| ) |  |

Build a row major matrix from row vectors.

From GLM_GTX_matrix_major_storage extension.

## ◆ rowMajor3() [2/2]

GLM_FUNC_DECL mat<3, 3, T, Q> glm::rowMajor3 | ( | mat< 3, 3, T, Q > const & | m | ) |

Build a row major matrix from other matrix.

From GLM_GTX_matrix_major_storage extension.

## ◆ rowMajor4() [1/2]

GLM_FUNC_DECL mat<4, 4, T, Q> glm::rowMajor4 | ( | vec< 4, T, Q > const & | v1,
|  | vec< 4, T, Q > const & | v2,
|  | vec< 4, T, Q > const & | v3,
|  | vec< 4, T, Q > const & | v4
| ) |  |

Build a row major matrix from row vectors.

From GLM_GTX_matrix_major_storage extension.

## ◆ rowMajor4() [2/2]

GLM_FUNC_DECL mat<4, 4, T, Q> glm::rowMajor4 | ( | mat< 4, 4, T, Q > const & | m | ) |

Build a row major matrix from other matrix.

From GLM_GTX_matrix_major_storage extension.